//importing required modules
import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//iris dataset
const csvUrl = 'https://gist.githubusercontent.com/Rajayaswanthvarma/478d0132ca988748bb9f3a44cb52a1d4/raw/b6acb90913a5da192033c21d603292dc0350b707/Data.csv'
const parseRow = (d) => {
  d.Longitude_of_GEO_degrees = +d.Longitude_of_GEO_degrees;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.Inclination_degrees = +d.Inclination_degrees;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight - 100;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//main function
const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.Inclination_degrees)
    .yValue((d) => d.Longitude_of_GEO_degrees)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);
//setting dynamic axes
  const columns = [
    'Inclination_degrees',
    'sepal_width',
    'petal_length',
    'Longitude_of_GEO_degrees',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 10000);
};
main();



